Bug 494362 - maintenance scripts fail
maintenance scripts fail
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mediawiki (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Axel Thimm
Fedora Extras Quality Assurance
ActualBug
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-06 10:46 EDT by Orion Poplawski
Modified: 2010-06-28 07:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:42:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Do not overwrite $DIR when contains correct value from config.php (334 bytes, patch)
2009-11-09 04:53 EST, Milan Kerslager
no flags Details | Diff

  None (edit)
Description Orion Poplawski 2009-04-06 10:46:33 EDT
Description of problem:

Running the following from a cron to update the mediawiki search index:

cd /export/web/cora/intranet; php /usr/share/mediawiki/maintenance/updateSearchIndex.php -q

results in:

PHP Notice:  Undefined variable: DIR in /usr/share/mediawiki/maintenance/commandLine.inc on line 185
A copy of your installation's LocalSettings.php
must exist and be readable in the source directory.


Version-Release number of selected component (if applicable):
mediawiki-1.14.0-45.el5

This is the fix I'm using:

--- mediawiki-1.14.0/maintenance/commandLine.inc.commoncode     2008-06-16 14:21:26.000000000 -0600
+++ mediawiki-1.14.0/maintenance/commandLine.inc        2009-04-06 08:45:20.000000000 -0600
@@ -6,6 +6,8 @@
  * @defgroup Maintenance Maintenance
  */

+$DIR = getcwd();
+
 $wgRequestTime = microtime(true);

 /** */
Comment 1 Ricky Zhou 2009-06-21 20:02:49 EDT
Hi, this is due to a Fedora-only patch that we're discussing in bug 484855.  I'm going to mark this as a duplicate of that bug for now so that we can centralize discussion there, feel free to reopen if I'm mistaken in doing this.

*** This bug has been marked as a duplicate of bug 484855 ***
Comment 2 Fedora Update System 2009-07-11 16:55:11 EDT
mediawiki-1.15.0-47.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mediawiki-1.15.0-47.fc10
Comment 3 Fedora Update System 2009-07-11 16:55:27 EDT
mediawiki-1.15.0-47.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mediawiki-1.15.0-47.fc11
Comment 4 Fedora Update System 2009-07-19 06:20:25 EDT
mediawiki-1.15.1-48.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2009-07-19 06:33:42 EDT
mediawiki-1.15.1-48.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Milan Kerslager 2009-11-09 04:52:27 EST
The bug is stil present. Patch attached.
Comment 7 Milan Kerslager 2009-11-09 04:53:07 EST
Created attachment 368155 [details]
Do not overwrite $DIR when contains correct value from config.php
Comment 8 Milan Kerslager 2009-11-09 04:57:08 EST
This bug prevents database update after upgrade form 1.14.x version which leads to non-working History and more. Just viewing works so this is a serious trouble.

I tested mediawiki-1.15.1-50.fc11
Comment 9 Bug Zapper 2010-04-27 09:31:34 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-06-28 07:42:49 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.